Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1103870 Red Hat JIRA:  

Pull request:    

Description

After creating puppet environments through the API, then hosts using those environments, visiting the org UI shows a red

Environments and the message "Select this since it belongs to a host". However, it is not selectable.

Associated revisions

Revision 9f3cad15 - 06/12/2014 12:07 PM - Joseph Magen

fixes #4736 - organization edit ui has unselectable environment

Revision fcc83555 - 07/28/2014 07:15 AM - Joseph Magen

fixes #4736 - organization edit ui has unselectable environment

(cherry picked from commit 9f3cad157f366904c1e145d19bf35e8cd0282cf0)

History

#1 - 04/01/2014 09:24 PM - Mike McCune

I think that is working as intended.  You can't modify the taxonomy of the Environment if it is in use.  You have to remove those hosts from the

Environment first. Someone else can correct me if I'm wrong ...

#2 - 04/02/2014 06:09 AM - Ohad Levy

- Assignee set to Joseph Magen

I think its a bug, as if its in used, the selection should be disabled on the left side, vs the right side.

#3 - 04/02/2014 06:51 AM - Joseph Magen

- Assignee deleted (Joseph Magen)

When a KT environment is created, why is it also inserted in Puppet Environments?  I thought they were different. I'm confused how Foreman is

classifying the KT environments as "used".  It is only used for the environment is the same a host's environment field.

#4 - 04/02/2014 07:20 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/1347

#5 - 04/02/2014 07:20 AM - Joseph Magen

- Target version set to 1.8.4

#6 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3
#7 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#8 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#9 - 05/02/2014 05:30 PM - Thomas McKay

This is still a blocker for me. It impacts both organization and location UI pages.

If the user somehow manages to get a Location removed from an Organization (in my case it was via api) then the tool effectively becomes unusable.

The UI shows the error but does not allow me to correct it (ie. in the Location UI the red Organization cannot be selected to move back into the

"Selected Items" table. The Organization is red and a message of "You cannot remove organizations that are used by hosts or inherited." as if I had

just made the change when visiting the page (rather than the relationship getting messed up earlier).

#10 - 05/02/2014 05:35 PM - Thomas McKay

I retract my "unusable" statement about the UI: It has a "Fix Mismatches" button which did the reassociation.

#11 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#12 - 06/02/2014 06:57 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103870

#13 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#14 - 06/12/2014 12:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9f3cad157f366904c1e145d19bf35e8cd0282cf0.

#15 - 06/12/2014 01:35 PM - Dominic Cleal

- translation missing: en.field_release set to 18

#16 - 01/08/2016 02:40 PM - Checheta Yan
